{% load static %}
{% load i18n %}
<html class='no-js'>
    <head>
        <meta charset='utf-8'>
        <meta http-equiv='X-UA-Compatible' content='IE=edge'>
        <title>Chocolatine</title>
        <meta name='description' content=''>
        <meta name='viewport' content='width=device-width, initial-scale=1'>
        <link rel="shortcut icon" type="image/png" href="{% static '/logo/logo.png' %}"/>
        <link rel="stylesheet" href="{% static 'css/uikit.css' %}" />
    </head>
    <body>
      <div class="uk-section uk-section-muted uk-preserve-color uk-flex uk-flex-middle uk-animation-fade" uk-height-viewport>
        <div class="uk-width-1-1">
          <div class="uk-container">
            <div class="uk-grid-margin uk-grid uk-grid-stack" uk-grid>
              <div class="uk-width-1-1@m">
                <div class="uk-margin uk-width-large uk-margin-auto uk-card uk-card-default uk-card-body uk-box-shadow-xlarge uk-border-rounded">
                    <h3 class="uk-card-title uk-text-center uk-text-mutted">
                    {% translate "Password reset" %}
                    </h3>
                    <h5 class="uk-text-justify uk-text-mutted">
                    {% translate "Please, enter the new password." %}
                    </h5>
                      <form class="uk-form-stacked" method="post">
                    {% csrf_token %}
                    {% if form.no_field.errors %}
                      <ul class="uk-list">
                        {% for error in form.no_field.errors %}
                          <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                        {% endfor %}
                      </ul>
                    {% endif %}
                    <fieldset class="uk-fieldset">
                      <div class="uk-margin">
                        <input class="uk-input"
                               id="{{ form.new_password1.id_for_label }}"
                               name="{{ form.new_password1.html_name }}"
                               type="password" placeholder="{% translate "New password" %}">
                        {% if form.new_password1.errors %}
                          <ul class="uk-list">
                            {% for error in form.new_password1.errors %}
                              <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                            {% endfor %}
                          </ul>
                        {% endif %}
                      </div>
                      <hr>
                      <div class="uk-margin">
                        <input class="uk-input"
                               id="{{ form.new_password2.id_for_label }}"
                               name="{{ form.new_password2.html_name }}"
                               type="password" placeholder="{% translate "New password confirmation" %}">
                        {% if form.new_password2.errors %}
                          <ul class="uk-list">
                            {% for error in form.new_password2.errors %}
                              <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                            {% endfor %}
                          </ul>
                        {% endif %}
                      </div>
                      <hr>
                      <div class="uk-margin uk-text-right">
                          <a class="uk-button uk-button-default"
                             href="{% url 'login' %}">
                                  {% translate "Cancel" %}
                          </a>
                          <button class="uk-button uk-button-primary"
                                  type='submit'>
                                  {% translate "Reset my password" %}
                          </button>
                      </div>
                    </fieldset>
                  </form>
                 </div>
               </div>
             </div>
           </div>
         </div>
       </div>
       <script src="{% static 'vendor/uikit.js' %}"></script>
       <script src="{% static 'vendor/uikit-icons.min.js' %}"></script>
    </body>
</html>